<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_28c85ce81fee653298026" . "2893b6f2425" => base64_decode("dXNlcm5hbW" . "U="), "_8cca4dd34e20c53" . "44bb2a30f2533c4e" . "5" => base64_decode("ZnV" . "sbF" . "9uY" . "W1l"), "_baec81a7" . "82bb3d538" . "149a92256" . "88246e" => base64_decode("ZXZlbnRfc" . "291cmNl"), "user" . "_id" => base64_decode("dXNlcl9" . "pZA=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8cca4dd34e20c5344bb2a30" . "f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_28c85ce81fee653298" . "0262893b6f2425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_baec81a78" . "2bb3d53814" . "9a92256882" . "46e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}